import { type Codec, type DecodeOptions } from 'protons-runtime';
import type { Uint8ArrayList } from 'uint8arraylist';
export interface Event {
    insert?: Event.Insert;
    update?: Event.Update;
}
export declare namespace Event {
    interface Insert {
        key: Uint8Array;
        value: Uint8Array;
    }
    namespace Insert {
        const codec: () => Codec<Insert>;
        const encode: (obj: Partial<Insert>) => Uint8Array;
        const decode: (buf: Uint8Array | Uint8ArrayList, opts?: DecodeOptions<Insert>) => Insert;
    }
    interface Update {
        heads: Uint8Array[];
    }
    namespace Update {
        const codec: () => Codec<Update>;
        const encode: (obj: Partial<Update>) => Uint8Array;
        const decode: (buf: Uint8Array | Uint8ArrayList, opts?: DecodeOptions<Update>) => Update;
    }
    const codec: () => Codec<Event>;
    const encode: (obj: Partial<Event>) => Uint8Array;
    const decode: (buf: Uint8Array | Uint8ArrayList, opts?: DecodeOptions<Event>) => Event;
}
